package Calculadora;

/**
 * Modela las operaciones de una calculadora.
 * @author FJoaquin (federico.joaquin@cs.uns.edu.ar)
 */
public class Calculadora {
	/**
	 * Computa la división real entre dos valores.
	 * @param dividendo Valor del dividendo de la división.
	 * @param divisor Valor del divisor de la división.
	 * @return Resultado de aplicar la división.
	 * @throws DivisionPorCero en caso que divisor sea cero.
	 */
	public static float dividir(float dividendo, float divisor) throws DivisionPorCero{
		if (divisor == 0) throw new DivisionPorCero("Error");
		return dividendo/divisor;
	}
	/**
	 * Computa la suma real entre dos valores.
	 * @param op1 Operando 1 de la suma.
	 * @param op2 Operando 2 de la suma.
	 * @return Resultado de aplicar la suma.
	 */
	public static float sumar(float op1, float op2) {
		return op1 + op2;
	}
	/**
	 * Computa la resta real entre dos valores.
	 * @param op1 Operando 1 de la resta.
	 * @param op2 Operando 2 de la resta.
	 * @return Resultado de aplicar la resta.
	 */
	public static float restar(float op1, float op2) {
		return op1 - op2;
	}
	/**
	 * Computa la multiplicación real entre dos valores.
	 * @param op1 Operando 1 de la multiplicación.
	 * @param op2 Operando 2 de la multiplicación.
	 * @return Resultado de aplicar la multiplicación.
	 */
	public static float multiplicar(float op1, float op2) {
		return op1 * op2;
	}
	/**
	 * Método que inicia la ejecución del programa.
	 * Testea las operaciones suma, resta, multiplicación y división con un caso de prueba simple.
	 * @param args Argumentos por línea de comandos.
	 */
	public static void main(String [] args){
		float resultado = 0;
		
		try {
			resultado = dividir(10, 0);
			System.out.println("El resultado de dividir 10 y 0 es: " + resultado);
		} catch (DivisionPorCero e) {
			System.out.println(e.getMessage());
		}
		
		resultado = sumar (10,10);
		System.out.println("El resultado de sumar 10 y 10 es: " + resultado);
		
		resultado = restar(25, 15);
		System.out.println("El resultado de restar 25 y 15 es: " + resultado);
		
		resultado = multiplicar (105, -2);
		System.out.println("El resultado de multiplicar 105 y -2 es: " + resultado);
				
	}
}
